Skip to main content
POST

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Body

application/json

Request parameters for generating an MCP URL

mcp_server_id
string
required

Unique identifier of the MCP server to generate URL for

Example:

"550e8400-e29b-41d4-a716-446655440000"

managed_auth_by_composio
boolean
default:false
deprecated

Flag indicating if Composio manages authentication. When true, the generated URLs include the include_composio_helper_actions query parameter. DEPRECATED: The include_composio_helper_actions query parameter will be removed in a future version. Switch to Composio Sessions (POST /api/v3/tool_router/session), whose MCP URL includes connection-management tools.

Example:

true

user_ids
string[]

List of user identifiers for whom the URL is generated

Example:
connected_account_ids
string[]

List of connected account identifiers

Example:

Response

Successfully generated MCP URL. Returns the complete URL with all specified query parameters.

Response containing the generated MCP URLs

mcp_url
string
required

Base MCP URL without any query parameters

Example:

"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000"

connected_account_urls
string[]
required

List of URLs generated for each connected account ID. URLs may carry the include_composio_helper_actions query parameter. DEPRECATED: The include_composio_helper_actions query parameter will be removed in a future version. Switch to Composio Sessions (POST /api/v3/tool_router/session), whose MCP URL includes connection-management tools.

Example:
user_ids_url
string[]
required

List of URLs generated for each user ID. URLs may carry the include_composio_helper_actions query parameter. DEPRECATED: The include_composio_helper_actions query parameter will be removed in a future version. Switch to Composio Sessions (POST /api/v3/tool_router/session), whose MCP URL includes connection-management tools.

Example: